.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.47.5.
.TH ALACRITTY "1" "March 2018" "alacritty 0.1.0" "User Commands"
.SH NAME
alacritty \- a cross-platform, gpu-accelerated terminal emulator
.SH "SYNOPSIS"
alacritty [FLAGS] [OPTIONS]
.SH DESCRIPTION
Alacritty is focused on simplicity and performance.
.TP
The performance goal means it should be faster than any other terminal emulator available.
.TP
The simplicity goal means that it doesn't have features such as tabs or splits (which can be better provided by a window manager or terminal multiplexer) nor niceties like a GUI config editor.
.SH "FLAGS"
.TP
\fB\-h\fR, \fB\-\-help\fR
Prints help information
.TP
\fB\-\-live\-config\-reload\fR
Enable automatic config reloading
.TP
\fB\-\-no\-live\-config\-reload\fR
Disable automatic config reloading
.HP
\fB\-\-print\-events\fR
.TP
\fB\-q\fR
Reduces the level of verbosity (the min level is \fB\-qq\fR)
.TP
\fB\-\-ref\-test\fR
Generates ref test
.TP
\fB\-v\fR
Increases the level of verbosity (the max level is \fB\-vvv\fR)
.TP
\fB\-V\fR, \fB\-\-version\fR
Prints version information
.SH "OPTIONS"
.TP
\fB\-\-class\fR <class>
Defines the window class on X11 [default: Alacritty]
.TP
\fB\-e\fR, \fB\-\-command\fR <command>...
Command and args to execute (must be last argument)
.HP
\fB\-\-config\-file\fR <config\-file>
.IP
Specify alternative configuration file [default: $XDG_CONFIG_HOME/alacritty/alacritty.yml]
.HP
\fB\-d\fR, \fB\-\-dimensions\fR <columns> <lines>
.IP
Defines the window dimensions. Falls back to size specified by window manager if set to 0x0 [default: 80x24]
.TP
\fB\-t\fR, \fB\-\-title\fR <title>
Defines the window title [default: Alacritty]
.TP
\fB\-\-working\-directory\fR <working\-directory>
Start the shell in the specified working directory
.SH "SEE ALSO"
See the alacritty github repository at https://github.com/jwilm/alacritty for the full documentation.
.SH "BUGS"
Found a bug? Please report it at https://github.com/jwilm/alacritty/issues.
.SH "AUTHORS"
Maintainers:
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
Joe Wilm <joe@jwilm.com>
